org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedVertexPropertyTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedVertexPropertyTest

-     public class DetachedVertexPropertyTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DetachedVertexPropertyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAttachToGraph()`
    `void` | `shouldAttachToVertex()`
    `void` | `shouldBeEqualsPropertiesAsIdIsTheSame()`
    `void` | `shouldConstructDetachedPropertyWithHiddenFromVertex()`
    `void` | `shouldConstructDetachedPropertyWithPropertyFromVertex()`
    `void` | `shouldDetachMultiPropertiesAndMetaProperties()`
    `void` | `shouldNotBeEqualsPropertiesAsIdIsDifferent()`
    `void` | `shouldNotConstructNewWithSomethingAlreadyDetached()`
    `void` | `shouldNotSupportRemove()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DetachedVertexPropertyTest

          public DetachedVertexPropertyTest()

  - ### Method Detail

    - #### shouldNotConstructNewWithSomethingAlreadyDetached

          public void shouldNotConstructNewWithSomethingAlreadyDetached()

    - #### shouldConstructDetachedPropertyWithPropertyFromVertex

          public void shouldConstructDetachedPropertyWithPropertyFromVertex()

    - #### shouldConstructDetachedPropertyWithHiddenFromVertex

          public void shouldConstructDetachedPropertyWithHiddenFromVertex()

    - #### shouldNotSupportRemove

          public void shouldNotSupportRemove()

    - #### shouldBeEqualsPropertiesAsIdIsTheSame

          public void shouldBeEqualsPropertiesAsIdIsTheSame()

    - #### shouldNotBeEqualsPropertiesAsIdIsDifferent

          public void shouldNotBeEqualsPropertiesAsIdIsDifferent()

    - #### shouldDetachMultiPropertiesAndMetaProperties

          public void shouldDetachMultiPropertiesAndMetaProperties()

    - #### shouldAttachToGraph

          public void shouldAttachToGraph()

    - #### shouldAttachToVertex

          public void shouldAttachToVertex()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.